#include "script/common.lua"
visible = 0
pTime = GetFloatParam("time", 10)
function init()
	hud_on = true
	GetString("savegame.mod.weather")
	GetBool("savegame.mod.chopper")
	GetBool("savegame.mod.chopper_unbreakable")
	SetBool("savegame.mod.VoxelPlazaUFO", false)
	SetBool("savegame.mod.nodemolish", false)
	SetBool("savegame.mod.attached", true)
	SetBool("savegame.mod.dynamic", true)
	GetBool("savegame.mod.ground_0")
	GetBool("savegame.mod.ground_1")
	GetBool("savegame.mod.ground_2")
	GetBool("savegame.mod.ground_3")
	GetBool("savegame.mod.ground_4")
	GetBool("savegame.mod.NEWTEX")
	GetBool("savegame.mod.performance")
	GetBool("savegame.mod.basic")
	GetBool("savegame.mod.trees")
	DebugPrint(GetString("savegame.mod.weather"))
	ufos = FindShapes("ufo", true)
	lightBody = FindBody("thunder", true)
	local s = GetBodyShapes(lightBody)
	lightShape = s[1]
	SetShapeEmissiveScale(lightShape, 0)	
	timer = 0.5
	lightning = 0
	lightningStrength = 0
	thunderSound = LoadSound("thunder0.ogg")
	nextSoundTimer = 0
	nextSound = 0
	nextSoundVolume = 0
	nextSoundTimer = 0
	MakeHole(Vec(-39.5, 46.3, -49.3), 10, 10)
	MakeHole(Vec(-38.4, 40.2, -49.6), 10, 10)
	MakeHole(Vec(-34.5, 43, -49), 10, 10)
	MakeHole(Vec(-35.1, 43, -52.7), 10, 10)
	MakeHole(Vec(-41.2, 35.5, -48.9), 10, 10)
	MakeHole(Vec(-34.8, 37, -48.8), 10, 10)
	MakeHole(Vec(-29.8, 46.3, -50.7), 10, 10)
	SpawnFire(Vec(-25.6, 35.1, -52))
	SpawnFire(Vec(-30.9, 40.2, -54.5))
	SpawnFire(Vec(-26, 40.2, -54.6))
	SpawnFire(Vec(-28.8, 40.2, -49.1))
	for i=1,#ufos do
		ufo = ufos[i]
		body = GetShapeBody(ufo)
		ApplyBodyImpulse(body, Vec(0,0,0), Vec(0,0.01,0))
	end
	startTransform = GetLocationTransform(FindLocation("start"))
	endTransform = GetLocationTransform(FindLocation("end"))
	tim = 0.0


	if GetBool("savegame.mod.Sunrise", true) then
		SetEnvironmentProperty("skybox", "sunset.dds")
		SetEnvironmentProperty("skyboxtint", 0.88,0.44,0.26)
		SetEnvironmentProperty("skyboxbrightness", 0.8)
		SetEnvironmentProperty("sunBrightness", 4)
		SetEnvironmentProperty("skyboxrot", 180)
		SetEnvironmentProperty("constant", 0.003,0.003,0.003)
		SetEnvironmentProperty("fogColor", 1,1,1)
		SetEnvironmentProperty("fogParams", 0,0,0,0)
		SetEnvironmentProperty("sunColorTint", 0.5,0.4,0.3)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("ambient", 0.8)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("fogscale", 0.5)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("sunFogScale", 0.7)
		else
			SetEnvironmentProperty("ambient", 1)
			SetEnvironmentProperty("sunLength", 17)
			SetEnvironmentProperty("fogscale", 0.2)
			SetEnvironmentProperty("ambientexponent", 0.9)
			SetEnvironmentProperty("sunFogScale", 0.4)
		end
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 3,5)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", false)
		SetEnvironmentProperty("ambience", "outdoor/field.ogg")
		SetEnvironmentProperty("slippery", 0)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Sunny", true) then
		SetEnvironmentProperty("skybox", "day.dds")
		SetEnvironmentProperty("skyboxtint", 1,1,0.9)
		SetEnvironmentProperty("skyboxrot", 30)
		SetEnvironmentProperty("constant", 0.003,0.003,0.003)
		SetEnvironmentProperty("fogColor", 0.2,0.21,0.22)
		SetEnvironmentProperty("fogParams", 250,400,1,9)
		SetEnvironmentProperty("sunBrightness", 4)
		SetEnvironmentProperty("sunFogScale", 0.18)
		SetEnvironmentProperty("sunColorTint", 0.92,0.74,0.6)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("skyboxbrightness", 0.4)
			SetEnvironmentProperty("ambient", 1.5)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("sunFogScale", 0.18)
			SetEnvironmentProperty("fogscale", 0.3)
			SetEnvironmentProperty("ambientexponent", 1.3)
		else
			SetEnvironmentProperty("skyboxbrightness", 0.8)
			SetEnvironmentProperty("ambient", 0.8)
			SetEnvironmentProperty("sunLength", 17)
			SetEnvironmentProperty("sunFogScale", 0)
			SetEnvironmentProperty("fogscale", 0)
			SetEnvironmentProperty("ambientexponent", 0.7)
		end
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 3,3)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", false)
		SetEnvironmentProperty("ambience", "outdoor/field.ogg")
		SetEnvironmentProperty("slippery", 0)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 0.97)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Sunset", true) then
		SetEnvironmentProperty("skybox", "sunset.dds")
		SetEnvironmentProperty("skyboxtint", 0.8,0.3,0.14)
		SetEnvironmentProperty("skyboxbrightness", 0.8)
		SetEnvironmentProperty("constant", 0.001,0.003,0.002)
		SetEnvironmentProperty("skyboxrot", -15)
		SetEnvironmentProperty("ambient", 0.5)
		SetEnvironmentProperty("fogColor", 1,1,1)
		SetEnvironmentProperty("fogParams", 0,0,0,0)
		SetEnvironmentProperty("sunBrightness", 4)
		SetEnvironmentProperty("sunColorTint", 0.57,0.48,0.3)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("fogscale", 0.7)
			SetEnvironmentProperty("sunFogScale", 0.8)
		else
			SetEnvironmentProperty("ambientexponent", 0.5)
			SetEnvironmentProperty("sunLength", 17)
			SetEnvironmentProperty("fogscale", 0.2)
			SetEnvironmentProperty("sunFogScale", 0)
		end
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 5,5)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "outdoor/field.ogg")
		SetEnvironmentProperty("slippery", 0)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Wind", true) then
		SetEnvironmentProperty("skybox", "tornado.dds")
		SetEnvironmentProperty("skyboxtint", 1,0.3,0.15)
		SetEnvironmentProperty("skyboxbrightness", 0.4)
		SetEnvironmentProperty("skyboxrot", -15)
		SetEnvironmentProperty("constant", 0.003,0.003,0.003)
		SetEnvironmentProperty("fogColor", 0.04,0.004,0)
		SetEnvironmentProperty("fogParams", 40,180,1,1)
		SetEnvironmentProperty("sunBrightness", 2)
		SetEnvironmentProperty("sunColorTint", 0.63,0.5,0.2)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("ambient", 0.8)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("sunFogScale", 0.6)
			SetEnvironmentProperty("fogscale", 0.8)
		else
			SetEnvironmentProperty("ambient", 1)
			SetEnvironmentProperty("sunLength", 10)
			SetEnvironmentProperty("ambientexponent", 0.7)
			SetEnvironmentProperty("sunFogScale", 0)
			SetEnvironmentProperty("fogscale", 0.3)
		end
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 2,2)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "outdoor/wind.ogg")
		SetEnvironmentProperty("slippery", 0)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Night", true) then
		SetEnvironmentProperty("skybox", "cloudy.dds")
		SetEnvironmentProperty("skyboxtint", 1,0.5,0.2)
		SetEnvironmentProperty("skyboxbrightness", 0)
		SetEnvironmentProperty("skyboxrot", 0)
		SetEnvironmentProperty("ambient", 0)
		SetEnvironmentProperty("fogColor", 1,1,1)
		SetEnvironmentProperty("fogParams", 0,0,0,0)
		SetEnvironmentProperty("sunBrightness", 0)
		SetEnvironmentProperty("sunColorTint", 1,1,1)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		SetEnvironmentProperty("sunLength", 0)
		SetEnvironmentProperty("sunFogScale", 0)
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 7,7)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "outdoor/night.ogg")
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("constant", 0.001,0.001,0.001)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("fogscale", 0.4)
		else
			SetEnvironmentProperty("constant", 0.003,0.003,0.003)
			SetEnvironmentProperty("ambientexponent", 0.7)
			SetEnvironmentProperty("fogscale", 0.2)
		end
		SetEnvironmentProperty("slippery", 0)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Storm", true) then
		SetEnvironmentProperty("skybox", "cloudy.dds")
		SetEnvironmentProperty("skyboxtint", 1,0.5,0.2)
		SetEnvironmentProperty("skyboxbrightness", 0)
		SetEnvironmentProperty("skyboxrot", 0)
		SetEnvironmentProperty("ambient", 0)
		SetEnvironmentProperty("fogColor", 1,1,1)
		SetEnvironmentProperty("fogParams", 0,0,0,0)
		SetEnvironmentProperty("sunBrightness", 0)
		SetEnvironmentProperty("sunColorTint", 1,1,1)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		SetEnvironmentProperty("sunLength", 0)
		SetEnvironmentProperty("sunFogScale", 0)
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 7,7)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0.3)
		SetEnvironmentProperty("puddleamount", 0.4)
		SetEnvironmentProperty("puddlesize", 0.8)
		SetEnvironmentProperty("rain", 0.3)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "outdoor/rain_heavy.ogg")
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("constant", 0.001,0.001,0.001)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("fogscale", 0.6)
		else
			SetEnvironmentProperty("constant", 0.003,0.003,0.003)
			SetEnvironmentProperty("ambientexponent", 0.7)
			SetEnvironmentProperty("fogscale", 0.4)
		end
		SetEnvironmentProperty("slippery", 0.2)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Snow", true) then
		SetEnvironmentProperty("skybox", "cold_wispy_sky.dds")
		SetEnvironmentProperty("skyboxtint", 0.2,0.6,1)
		SetEnvironmentProperty("skyboxbrightness", 0.1)
		SetEnvironmentProperty("skyboxrot", 110)
		SetEnvironmentProperty("constant", 0.008,0.004,0.012)
		SetEnvironmentProperty("fogColor", 0.035,0.0625,0.2)
		SetEnvironmentProperty("fogParams", 0,70,1,1.3)
		SetEnvironmentProperty("sunBrightness", 4)
		SetEnvironmentProperty("sunColorTint", 0.7,0.4,0.6)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("ambient", 0.7)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("sunFogScale", 0.7)
			SetEnvironmentProperty("fogscale", 0.8)
			SetEnvironmentProperty("wetness", 0.4)
		else
			SetEnvironmentProperty("ambient", 1.7)
			SetEnvironmentProperty("ambientexponent", 0.5)
			SetEnvironmentProperty("sunLength", 20)
			SetEnvironmentProperty("sunFogScale", 0.4)
			SetEnvironmentProperty("fogscale", 0.3)
			SetEnvironmentProperty("wetness", 0)
		end
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 4,4)
		SetEnvironmentProperty("brightness", 0.5)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "winter.ogg", 5)
		SetEnvironmentProperty("slippery", 0.2)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, -1, 0, 0.2)
		SetEnvironmentProperty("snowamount", 0.2, 0.05)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Foggy", true) then
		SetEnvironmentProperty("skybox", "cloudy.dds")
		SetEnvironmentProperty("skyboxtint", 1,1,1)
		SetEnvironmentProperty("skyboxbrightness", 0)
		SetEnvironmentProperty("skyboxrot", 0)
		SetEnvironmentProperty("constant", 0.002,0.002,0.002)
		SetEnvironmentProperty("ambient", 0)
		SetEnvironmentProperty("fogColor", 0.2,0.2,0.2)
		SetEnvironmentProperty("fogParams", 0,80,1,0)
		SetEnvironmentProperty("sunBrightness", 0)
		SetEnvironmentProperty("sunColorTint", 1,1,1)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		SetEnvironmentProperty("sunLength", 0)
		SetEnvironmentProperty("sunFogScale", 0)
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 2,3)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", false)
		SetEnvironmentProperty("ambience", "outdoor/field.ogg")
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("fogscale", 3)
			SetEnvironmentProperty("wetness", 0.3)
			SetEnvironmentProperty("puddleamount", 0.4)
			SetEnvironmentProperty("puddlesize", 0.8)
		else
			SetEnvironmentProperty("ambientexponent", 0.3)
			SetEnvironmentProperty("fogscale", 0.5)
			SetEnvironmentProperty("wetness", 0.0)
			SetEnvironmentProperty("puddleamount", 0.0)
			SetEnvironmentProperty("puddlesize", 0.0)
		end
		SetEnvironmentProperty("slippery", 0.2)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	elseif GetBool("savegame.mod.Rain", true) then
		SetEnvironmentProperty("skybox", "sunset.dds")
		SetEnvironmentProperty("skyboxtint", 1,0.6,0.4)
		SetEnvironmentProperty("skyboxrot", -30)
		SetEnvironmentProperty("constant", 0.003,0.003,0.003)
		SetEnvironmentProperty("ambient", 0.8)
		SetEnvironmentProperty("fogColor", 0.8,0.4,0.2)
		SetEnvironmentProperty("fogParams", 0,220,0.6,0)
		SetEnvironmentProperty("sunColorTint", 0.54,0.5,1)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 0,4)
		SetEnvironmentProperty("brightness", 1.3)
		SetEnvironmentProperty("puddleamount", 0.4)
		SetEnvironmentProperty("puddlesize", 0.8)
		SetEnvironmentProperty("rain", 0.3)
		SetEnvironmentProperty("nightlight", false)
		SetEnvironmentProperty("ambience", "outdoor/rain_light.ogg")
		if GetBool("savegame.mod.ultra") then
			SetEnvironmentProperty("skyboxbrightness", 0.4)
			SetEnvironmentProperty("ambientexponent", 1.3)
			SetEnvironmentProperty("sunBrightness", 2)
			SetEnvironmentProperty("sunLength", 32)
			SetEnvironmentProperty("sunFogScale", 0.7)
			SetEnvironmentProperty("fogscale", 0.8)
			SetEnvironmentProperty("wetness", 0.3)
		else
			SetEnvironmentProperty("skyboxbrightness", 0.8)
			SetEnvironmentProperty("ambientexponent", 0.9)
			SetEnvironmentProperty("sunBrightness", 0)
			SetEnvironmentProperty("sunLength", 0)
			SetEnvironmentProperty("sunFogScale", 0)
			SetEnvironmentProperty("fogscale", 0.2)
			SetEnvironmentProperty("wetness", 0)
		end
		SetEnvironmentProperty("slippery", 0.2)
		SetEnvironmentProperty("wind", 0, 1, 5)
		SetEnvironmentProperty("waterhurt", 0)
		SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
		SetEnvironmentProperty("snowamount", 0, 0)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	else
		DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nDefault")
		SetEnvironmentProperty("skybox", "sunset_in_the_chalk_quarry_2k.dds")
		SetEnvironmentProperty("skyboxtint", 0.7,0.5,0.7)
		SetEnvironmentProperty("skyboxbrightness", 0.02)
		SetEnvironmentProperty("skyboxrot", -15)
		SetEnvironmentProperty("constant", 0.001,0.001,0.001)
		SetEnvironmentProperty("ambient", 0.8)
		SetEnvironmentProperty("ambientexponent", 0.5)
		SetEnvironmentProperty("fogColor", 0,0,0)
		SetEnvironmentProperty("fogParams", 0,0,0,0)
		SetEnvironmentProperty("sunBrightness", 35)
		SetEnvironmentProperty("sunColorTint", 0.48,0.5,0.3)
		SetEnvironmentProperty("sunDir", "auto")
		SetEnvironmentProperty("sunSpread", 0)
		SetEnvironmentProperty("sunLength", 32)
		SetEnvironmentProperty("sunFogScale", 0.2)
		SetEnvironmentProperty("sunGlare", 0)
		SetEnvironmentProperty("exposure", 7,7)
		SetEnvironmentProperty("brightness", 1)
		SetEnvironmentProperty("wetness", 0)
		SetEnvironmentProperty("puddleamount", 0)
		SetEnvironmentProperty("puddlesize", 0)
		SetEnvironmentProperty("rain", 0)
		SetEnvironmentProperty("nightlight", true)
		SetEnvironmentProperty("ambience", "outdoor/field.ogg", 1)
		SetEnvironmentProperty("fogscale", 0.4)
		SetEnvironmentProperty("wind", 0, 0.5, 2)
		SetEnvironmentProperty("snowdir", 0, -1, 0, 0.2)
		SetEnvironmentProperty("snowamount", 0.2, 0.05)
		SetPostProcessingProperty("saturation" , 1)
		SetPostProcessingProperty("colorbalance" , 1, 1, 1)
		SetPostProcessingProperty("brightness" , 1)
		SetPostProcessingProperty("gamma" , 1)
		SetPostProcessingProperty("bloom" , 1)
	end
end

function draw()
	UiMakeInteractive()
	UiModalBegin()
	UiTranslate(UiCenter(), 200)
	UiAlign("center middle")
	UiTranslate(-400, -165)
	UiFont("regular.ttf", 26)
	UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	UiPush()
		UiTranslate(1348, -24)
		if UiTextButton("º", 25, 25) then
			hud_on = not hud_on
		end
		UiTranslate(-1348, 24)
	UiPop()
	if hud_on then
		UiPush()
			UiTranslate(0, 0)
			UiColor(1, 0.6, 0.7)
			if UiTextButton("Sunrise", 100, 50) then
				SetString("savegame.mod.weather", "Sunrise")
				SetBool("savegame.mod.Sunrise", true)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nSunrise")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "sunset.dds")
				SetEnvironmentProperty("skyboxtint", 0.88,0.44,0.26)
				SetEnvironmentProperty("skyboxbrightness", 0.8)
				SetEnvironmentProperty("sunBrightness", 4)
				SetEnvironmentProperty("skyboxrot", 180)
				SetEnvironmentProperty("constant", 0.003,0.003,0.003)
				SetEnvironmentProperty("fogColor", 1,1,1)
				SetEnvironmentProperty("fogParams", 0,0,0,0)
				SetEnvironmentProperty("sunColorTint", 0.5,0.4,0.3)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("ambient", 0.8)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("fogscale", 0.5)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("sunFogScale", 0.7)
				else
					SetEnvironmentProperty("ambient", 1)
					SetEnvironmentProperty("sunLength", 17)
					SetEnvironmentProperty("fogscale", 0.2)
					SetEnvironmentProperty("ambientexponent", 0.9)
					SetEnvironmentProperty("sunFogScale", 0.4)
				end
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 3,5)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", false)
				SetEnvironmentProperty("ambience", "outdoor/field.ogg")
				SetEnvironmentProperty("slippery", 0)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()

		UiPush()
			UiTranslate(100, 0)
			UiColor(1, 1, 0)
			if UiTextButton("Sunny", 100, 50) then
				SetString("savegame.mod.weather", "Sunny")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", true)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nSunny")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "day.dds")
				SetEnvironmentProperty("skyboxtint", 1,1,0.9)
				SetEnvironmentProperty("skyboxrot", 30)
				SetEnvironmentProperty("constant", 0.003,0.003,0.003)
				SetEnvironmentProperty("fogColor", 0.2,0.21,0.22)
				SetEnvironmentProperty("fogParams", 250,400,1,9)
				SetEnvironmentProperty("sunBrightness", 4)
				SetEnvironmentProperty("sunFogScale", 0.18)
				SetEnvironmentProperty("sunColorTint", 0.92,0.74,0.6)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("skyboxbrightness", 0.4)
					SetEnvironmentProperty("ambient", 1.5)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("sunFogScale", 0.18)
					SetEnvironmentProperty("fogscale", 0.3)
					SetEnvironmentProperty("ambientexponent", 1.3)
				else
					SetEnvironmentProperty("skyboxbrightness", 0.8)
					SetEnvironmentProperty("ambient", 0.8)
					SetEnvironmentProperty("sunLength", 17)
					SetEnvironmentProperty("sunFogScale", 0)
					SetEnvironmentProperty("fogscale", 0)
					SetEnvironmentProperty("ambientexponent", 0.7)
				end
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 3,3)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", false)
				SetEnvironmentProperty("ambience", "outdoor/field.ogg")
				SetEnvironmentProperty("slippery", 0)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 0.97)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(200, 0)
			UiColor(1, 0.7, 0.2)
			if UiTextButton("Sunset", 100, 50) then
				SetString("savegame.mod.weather", "Sunset")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", true)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nSunset")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "sunset.dds")
				SetEnvironmentProperty("skyboxtint", 0.8,0.3,0.14)
				SetEnvironmentProperty("skyboxbrightness", 0.8)
				SetEnvironmentProperty("constant", 0.001,0.003,0.002)
				SetEnvironmentProperty("skyboxrot", -15)
				SetEnvironmentProperty("ambient", 0.5)
				SetEnvironmentProperty("fogColor", 1,1,1)
				SetEnvironmentProperty("fogParams", 0,0,0,0)
				SetEnvironmentProperty("sunBrightness", 4)
				SetEnvironmentProperty("sunColorTint", 0.57,0.48,0.3)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("fogscale", 0.7)
					SetEnvironmentProperty("sunFogScale", 0.8)
				else
					SetEnvironmentProperty("ambientexponent", 0.5)
					SetEnvironmentProperty("sunLength", 17)
					SetEnvironmentProperty("fogscale", 0.2)
					SetEnvironmentProperty("sunFogScale", 0)
				end
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 5,5)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "outdoor/field.ogg")
				SetEnvironmentProperty("slippery", 0)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(300, 0)
			UiColor(1, 0.7, 0.2)
			if UiTextButton("Wind", 100, 50) then
				SetString("savegame.mod.weather", "Wind")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", true)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nWind")
				SetBool("savegame.mod.W_wind", true)
				SetEnvironmentProperty("skybox", "tornado.dds")
				SetEnvironmentProperty("skyboxtint", 1,0.3,0.15)
				SetEnvironmentProperty("skyboxbrightness", 0.4)
				SetEnvironmentProperty("skyboxrot", -15)
				SetEnvironmentProperty("constant", 0.003,0.003,0.003)
				SetEnvironmentProperty("fogColor", 0.04,0.004,0)
				SetEnvironmentProperty("fogParams", 40,180,1,1)
				SetEnvironmentProperty("sunBrightness", 2)
				SetEnvironmentProperty("sunColorTint", 0.63,0.5,0.2)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("ambient", 0.8)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("sunFogScale", 0.6)
					SetEnvironmentProperty("fogscale", 0.8)
				else
					SetEnvironmentProperty("ambient", 1)
					SetEnvironmentProperty("sunLength", 10)
					SetEnvironmentProperty("ambientexponent", 0.7)
					SetEnvironmentProperty("sunFogScale", 0)
					SetEnvironmentProperty("fogscale", 0.3)
				end
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 2,2)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "outdoor/wind.ogg")
				SetEnvironmentProperty("slippery", 0)
				SetEnvironmentProperty("wind", 0, 1, 5)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(400, 0)
			UiColor(0, 0.6, 1)
			if UiTextButton("Night", 100, 50) then
				SetString("savegame.mod.weather", "Night")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", true)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nNight")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "cloudy.dds")
				SetEnvironmentProperty("skyboxtint", 1,0.5,0.2)
				SetEnvironmentProperty("skyboxbrightness", 0)
				SetEnvironmentProperty("skyboxrot", 0)
				SetEnvironmentProperty("ambient", 0)
				SetEnvironmentProperty("fogColor", 1,1,1)
				SetEnvironmentProperty("fogParams", 0,0,0,0)
				SetEnvironmentProperty("sunBrightness", 0)
				SetEnvironmentProperty("sunColorTint", 1,1,1)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				SetEnvironmentProperty("sunLength", 0)
				SetEnvironmentProperty("sunFogScale", 0)
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 7,7)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "outdoor/night.ogg")
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("constant", 0.001,0.001,0.001)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("fogscale", 0.4)
				else
					SetEnvironmentProperty("constant", 0.003,0.003,0.003)
					SetEnvironmentProperty("ambientexponent", 0.7)
					SetEnvironmentProperty("fogscale", 0.2)
				end
				SetEnvironmentProperty("slippery", 0)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
		
		UiPush()
			UiTranslate(500, 0)
			UiColor(0, 0.6, 1)
			if UiTextButton("Storm", 100, 50) then
				SetString("savegame.mod.weather", "Storm")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", true)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nStorm")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "cloudy.dds")
				SetEnvironmentProperty("skyboxtint", 1,0.5,0.2)
				SetEnvironmentProperty("skyboxbrightness", 0)
				SetEnvironmentProperty("skyboxrot", 0)
				SetEnvironmentProperty("ambient", 0)
				SetEnvironmentProperty("fogColor", 1,1,1)
				SetEnvironmentProperty("fogParams", 0,0,0,0)
				SetEnvironmentProperty("sunBrightness", 0)
				SetEnvironmentProperty("sunColorTint", 1,1,1)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				SetEnvironmentProperty("sunLength", 0)
				SetEnvironmentProperty("sunFogScale", 0)
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 7,7)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0.3)
				SetEnvironmentProperty("puddleamount", 0.4)
				SetEnvironmentProperty("puddlesize", 0.8)
				SetEnvironmentProperty("rain", 0.3)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "outdoor/rain_heavy.ogg")
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("constant", 0.001,0.001,0.001)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("fogscale", 0.6)
				else
					SetEnvironmentProperty("constant", 0.003,0.003,0.003)
					SetEnvironmentProperty("ambientexponent", 0.7)
					SetEnvironmentProperty("fogscale", 0.4)
				end
				SetEnvironmentProperty("slippery", 0.2)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(600, 0)
			UiColor(1, 1, 1)
			if UiTextButton("Snow", 100, 50) then
				SetString("savegame.mod.weather", "Snow")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", true)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nSnow")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "cold_wispy_sky.dds")
				SetEnvironmentProperty("skyboxtint", 0.2,0.6,1)
				SetEnvironmentProperty("skyboxbrightness", 0.1)
				SetEnvironmentProperty("skyboxrot", 110)
				SetEnvironmentProperty("constant", 0.008,0.004,0.012)
				SetEnvironmentProperty("fogColor", 0.035,0.0625,0.2)
				SetEnvironmentProperty("fogParams", 0,70,1,1.3)
				SetEnvironmentProperty("sunBrightness", 4)
				SetEnvironmentProperty("sunColorTint", 0.7,0.4,0.6)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("ambient", 0.7)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("sunFogScale", 0.7)
					SetEnvironmentProperty("fogscale", 0.8)
					SetEnvironmentProperty("wetness", 0.4)
				else
					SetEnvironmentProperty("ambient", 1.7)
					SetEnvironmentProperty("ambientexponent", 0.5)
					SetEnvironmentProperty("sunLength", 20)
					SetEnvironmentProperty("sunFogScale", 0.4)
					SetEnvironmentProperty("fogscale", 0.3)
					SetEnvironmentProperty("wetness", 0)
				end
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 4,4)
				SetEnvironmentProperty("brightness", 0.5)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "winter.ogg", 5)
				SetEnvironmentProperty("slippery", 0.2)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, -1, 0, 0.2)
				SetEnvironmentProperty("snowamount", 0.2, 0.05)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(700, 0)
			UiColor(1, 1, 1)
			if UiTextButton("Foggy", 100, 50) then
				SetString("savegame.mod.weather", "Foggy")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", true)
				SetBool("savegame.mod.Rain", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nFoggy")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "cloudy.dds")
				SetEnvironmentProperty("skyboxtint", 1,1,1)
				SetEnvironmentProperty("skyboxbrightness", 0)
				SetEnvironmentProperty("skyboxrot", 0)
				SetEnvironmentProperty("constant", 0.002,0.002,0.002)
				SetEnvironmentProperty("ambient", 0)
				SetEnvironmentProperty("fogColor", 0.2,0.2,0.2)
				SetEnvironmentProperty("fogParams", 0,80,1,0)
				SetEnvironmentProperty("sunBrightness", 0)
				SetEnvironmentProperty("sunColorTint", 1,1,1)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				SetEnvironmentProperty("sunLength", 0)
				SetEnvironmentProperty("sunFogScale", 0)
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 2,3)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", false)
				SetEnvironmentProperty("ambience", "outdoor/field.ogg")
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("fogscale", 3)
					SetEnvironmentProperty("wetness", 0.3)
					SetEnvironmentProperty("puddleamount", 0.4)
					SetEnvironmentProperty("puddlesize", 0.8)
				else
					SetEnvironmentProperty("ambientexponent", 0.3)
					SetEnvironmentProperty("fogscale", 0.5)
					SetEnvironmentProperty("wetness", 0.0)
					SetEnvironmentProperty("puddleamount", 0.0)
					SetEnvironmentProperty("puddlesize", 0.0)
				end
				SetEnvironmentProperty("slippery", 0.2)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
		UiPush()
			UiTranslate(800, 0)
			UiColor(0, 0.7, 0.7)
			if UiTextButton("Rain", 100, 50) then
				SetString("savegame.mod.weather", "Rain")
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", true)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nRain")
				SetBool("savegame.mod.W_wind", false)
				SetEnvironmentProperty("skybox", "sunset.dds")
				SetEnvironmentProperty("skyboxtint", 1,0.6,0.4)
				SetEnvironmentProperty("skyboxrot", -30)
				SetEnvironmentProperty("constant", 0.003,0.003,0.003)
				SetEnvironmentProperty("ambient", 0.8)
				SetEnvironmentProperty("fogColor", 0.8,0.4,0.2)
				SetEnvironmentProperty("fogParams", 0,220,0.6,0)
				SetEnvironmentProperty("sunColorTint", 0.54,0.5,1)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 0,4)
				SetEnvironmentProperty("brightness", 1.3)
				SetEnvironmentProperty("puddleamount", 0.4)
				SetEnvironmentProperty("puddlesize", 0.8)
				SetEnvironmentProperty("rain", 0.3)
				SetEnvironmentProperty("nightlight", false)
				SetEnvironmentProperty("ambience", "outdoor/rain_light.ogg")
				if GetBool("savegame.mod.ultra") then
					SetEnvironmentProperty("skyboxbrightness", 0.4)
					SetEnvironmentProperty("ambientexponent", 1.3)
					SetEnvironmentProperty("sunBrightness", 2)
					SetEnvironmentProperty("sunLength", 32)
					SetEnvironmentProperty("sunFogScale", 0.7)
					SetEnvironmentProperty("fogscale", 0.8)
					SetEnvironmentProperty("wetness", 0.3)
				else
					SetEnvironmentProperty("skyboxbrightness", 0.8)
					SetEnvironmentProperty("ambientexponent", 0.9)
					SetEnvironmentProperty("sunBrightness", 0)
					SetEnvironmentProperty("sunLength", 0)
					SetEnvironmentProperty("sunFogScale", 0)
					SetEnvironmentProperty("fogscale", 0.2)
					SetEnvironmentProperty("wetness", 0)
				end
				SetEnvironmentProperty("slippery", 0.2)
				SetEnvironmentProperty("wind", 0, 0, 0)
				SetEnvironmentProperty("waterhurt", 0)
				SetEnvironmentProperty("snowdir", 0, 0, 0, 0)
				SetEnvironmentProperty("snowamount", 0, 0)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
			end
		UiPop()
	
	---------------------------------------------------------------------------------------------------------------------------------------------------------MAZE------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	--Title
		UiTranslate(-200, 150)
		UiFont("bold.ttf", 48)
		UiColor(1, 0.2, 0)
		UiText("MAZE")
	----------------------------------------------------Maze-------------No Interiors------------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
		UiTranslate(-150, 50)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
		UiTranslate(150, 90)
		UiColor(1, 0.2, 0)
		UiImageBox("ui/common/box-outline-6.png", 400, 350, 6, 6)
		UiTranslate(-150, -90)
		UiPush()
			UiTranslate(150, 0)
			UiColor(1, 0.2, 0)
			if UiTextButton("Without Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				lvl = lvl.." buildSolid maze"
				if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." Flooded Floodedmaze"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
	
	----------------------------------------------------Maze-------------With Interiors-----------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
		UiTranslate(0, 100)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiTranslate(150, 0)
			UiColor(1, 0.2, 0)
			if UiTextButton("With Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.Flooded") then
				lvl = lvl.." buildSolid+d maze"
				end
				if GetBool("savegame.mod.Flooded", true) then
				lvl = lvl.." maze buildSolid+flooded Flooded Floodedmaze"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
	
	--------------------------------------------------Maze-----------------All Interiors-----------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
		UiTranslate(0, 100)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiTranslate(150, 0)
			UiColor(1, 0.2, 0)
			if UiTextButton("With Interiors +", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.Flooded") then
				lvl = lvl.." buildSolid+d maze++"
				end
				if GetBool("savegame.mod.Flooded", true) then
				lvl = lvl.." buildSolid+flooded maze++ Flooded Floodedmaze"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
	
	
	
	--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	
	
	
	
	-------------------------------------------Default----Without----Interiors--------------------------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
	--Title
		UiTranslate(750, -250)
		UiFont("bold.ttf", 48)
		UiColor(1, 1, 0)
		UiText("DEFAULT")
		UiTranslate(0, 140)
		UiImageBox("ui/common/box-outline-6.png", 400, 350, 6, 6)
		UiTranslate(0, -140)
		UiTranslate(-150, 50)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
		UiPush()
			UiTranslate(150, 0)
			UiColor(1, 1, 0)
			if UiTextButton("Without Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if GetBool("savegame.mod.attached") then
					lvl = lvl.." buildSolid"
				else
					lvl = lvl.." buildFree"
				end
				if not GetBool("savegame.mod.Flooded") then
					if not GetBool("savegame.mod.performance") then
						lvl = lvl.." street_props"
					end
				end
				if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." Flooded"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.traffic", true) then
					lvl = lvl.." traffic"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				else
					if GetBool("savegame.mod.trees", true) then
						lvl = lvl.." trees"
					end
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
		UiTranslate(150, 75)
		UiPush()
			UiColor(1, 1, 0)
			if UiTextButton("With Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
	
				if GetBool("savegame.mod.attached") and GetBool("savegame.mod.dynamic") then
					if not GetBool("savegame.mod.Flooded") then
					lvl = lvl.." buildSolid+d"
						if not GetBool("savegame.mod.performance") then
							lvl = lvl.." street_props"
						end
					end
					if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." buildSolid+flooded Flooded"
					end
				elseif GetBool("savegame.mod.attached") and not GetBool("savegame.mod.dynamic") then
					if not GetBool("savegame.mod.Flooded") then
					lvl = lvl.." buildSolid+ street_props"
					end
					if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." buildSolid+flooded2 Flooded"
					end
				end
				if not GetBool("savegame.mod.attached") and GetBool("savegame.mod.dynamic") then
					if not GetBool("savegame.mod.Flooded") then
					lvl = lvl.." buildFree+d"
						if not GetBool("savegame.mod.performance") then
							lvl = lvl.." street_props"
						end
					end
					if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." buildFree+d Flooded"
					end
				elseif not GetBool("savegame.mod.attached") and not GetBool("savegame.mod.dynamic") then
					if not GetBool("savegame.mod.Flooded") then
					lvl = lvl.." buildFree+ street_props"
					end
					if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." buildFree+flooded Flooded"
					end
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.traffic", true) then
					lvl = lvl.." traffic"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				else
					if GetBool("savegame.mod.trees", true) then
						lvl = lvl.." trees"
					end
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
		UiTranslate(-110, 100)
		UiColor(0, 0, 0, 0.6)
		UiTranslate(110, 30)
		UiImageBox("ui/common/box-solid-6.png", 398, 115, 6, 6)
		UiTranslate(-110, -30)
		UiFont("bold.ttf", 18)
		UiColor(1, 1, 0)
		UiText("Interiors")
		UiColor(1, 1, 1)
		UiTranslate(100, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if GetBool("savegame.mod.dynamic") then
				UiPush()
					UiColor(1, 1, 0, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics ON", 100, 25) then 
				SetBool("savegame.mod.dynamic", true)
			end
			UiTranslate(100, 0)
			if not GetBool("savegame.mod.dynamic") then
				UiPush()
					UiColor(1, 1, 0, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics OFF", 100, 25) then
				SetBool("savegame.mod.dynamic", false)
			end
		UiPop()
		UiTranslate(-100, 50)
		UiFont("bold.ttf", 18)
		UiColor(1, 1, 0)
		UiText("Buildings")
		UiColor(1, 1, 1)
		UiTranslate(100, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if GetBool("savegame.mod.attached") then
				UiPush()
					UiColor(1, 1, 0, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics OFF", 100, 25) then 
				SetBool("savegame.mod.attached", true)
			end
			UiTranslate(100, 0)
			if not GetBool("savegame.mod.attached") then
				UiPush()
					UiColor(1, 1, 0, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics ON", 100, 25) then
				SetBool("savegame.mod.attached", false)
			end
		UiPop()
---------------------------------------------------------------------------------------------------NEW------------------------------------------------------------------------------------------------------------------------------


		--Title
		UiTranslate(600, -275)
		UiFont("bold.ttf", 48)
		UiColor(0, 0.8, 0.1)
		UiText("REDUX")
	
		UiTranslate(0, 140)
		UiImageBox("ui/common/box-outline-6.png", 400, 350, 6, 6)
		UiTranslate(0, -140)
	
		UiTranslate(-150, 50)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiTranslate(150, 0)
			UiColor(0, 0.8, 0.1)
			if UiTextButton("Without Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.Flooded") then
					if not GetBool("savegame.mod.performance") then
						lvl = lvl.." street_props"
					end
				end
				if GetBool("savegame.mod.Flooded", true) then
				lvl = lvl.." Flooded"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.traffic", true) then
					lvl = lvl.." traffic"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				else
					if GetBool("savegame.mod.trees", true) then
						lvl = lvl.." trees"
					end
				end
				if GetBool("savegame.mod.ground_1", true) then
					lvl = lvl.." ground_1"
				end
				if GetBool("savegame.mod.ground_2", true) then
					lvl = lvl.." ground_2"
				end
				if GetBool("savegame.mod.ground_3", true) then
					lvl = lvl.." ground_3"
				end
				if GetBool("savegame.mod.ground_4", true) then
					lvl = lvl.." ground_4"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				if not GetBool("savegame.mod.NEWTEX") then
					StartLevel("new", "MOD/new.xml", lvl)
				else
					StartLevel("newtex", "MOD/newtex.xml", lvl)
				end
			end
		UiPop()
	
	
	--------------------------------NEW---------With---------Interiors-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
		UiPush()
			UiTranslate(150, 75)
			UiColor(0, 0.8, 0.1)
			if UiTextButton("With Interiors", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.Flooded") then
					if not GetBool("savegame.mod.performance") then
						lvl = lvl.." street_props"
					end
				end
				if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." Flooded"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.traffic", true) then
					lvl = lvl.." traffic"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				else
					if GetBool("savegame.mod.trees", true) then
						lvl = lvl.." trees"
					end
				end
				if GetBool("savegame.mod.ground_1", true) then
					lvl = lvl.." ground_1"
				end
				if GetBool("savegame.mod.ground_2", true) then
					lvl = lvl.." ground_2"
				end
				if GetBool("savegame.mod.ground_3", true) then
					lvl = lvl.." ground_3"
				end
				if GetBool("savegame.mod.ground_4", true) then
					lvl = lvl.." ground_4"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				if not GetBool("savegame.mod.NEWTEX") then
					if GetBool("savegame.mod.dynamic") then
						lvl = lvl.." newprops"
					else
						lvl = lvl.." NEW_static"
					end
					StartLevel("new", "MOD/new.xml", lvl)
				else
					if GetBool("savegame.mod.dynamic") then
						lvl = lvl.." newprops"
					else
						lvl = lvl.." NEWTEX_static"
					end
					StartLevel("newtex", "MOD/newtex.xml", lvl)
				end
			end
		UiPop()
	
	--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	
	---------------------------------------------------------------UFO------------------------------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
	--Title
		UiTranslate(0, 400)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiTranslate(150, 0)
			UiColor(0.8, 0.5, 0.9)
			if UiTextButton("UFO", 270, 50) then
				SetBool("savegame.mod.VoxelPlazaUFO", true)
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.Flooded") then
					lvl = lvl.." buildSolid+d ufo"
					if not GetBool("savegame.mod.performance") then
						lvl = lvl.." street_props"
					end
				end
				if GetBool("savegame.mod.Flooded", true) then
					lvl = lvl.." buildSolid+flooded ufo Flooded"
				end
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.traffic", true) then
					lvl = lvl.." traffic"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ice", true) then
					lvl = lvl.." ice"
				else
					if GetBool("savegame.mod.trees", true) then
						lvl = lvl.." trees"
					end
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("level", "MOD/level.xml", lvl)
			end
		UiPop()
	
	
	
	--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	
	
	
	---------------------------------------------------Side----Mission------------------------------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
	--Title
		UiTranslate(0, 50)
	
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiTranslate(150, 0)
			UiColor(0, 0.9, 0.2)
			if UiTextButton("Mission", 270, 50) then
				lvl = GetString("savegame.mod.weather")
				if not GetBool("savegame.mod.performance") then
					lvl = lvl.." street_props"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.carsonroad", true) then
					lvl = lvl.." carsonroad"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.trees", true) then
					lvl = lvl.." trees"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("side_mission", "MOD/side_mission.xml", lvl)
			end
		UiPop()
	
	--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	
	-------------------------------------------------------Demolition-------------------------------------------------------------
	--------------------------------------------------------------------------------------------------------------------------------
	
	--Title
		UiTranslate(150, 50)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6, 0.2, 0.2, 0.2)
	
		UiPush()
			UiColor(0.9, 0.8, 0.7)
			if UiTextButton("Demolition ", 270, 50) then
				SetBool("savegame.mod.nodemolish", true)
				lvl = GetString("savegame.mod.weather")
				lvl = lvl.." Flooded"
				if GetBool("savegame.mod.basic", true) then
					lvl = lvl.." basic"
				end
				if GetBool("savegame.mod.chopper", true) then
					lvl = lvl.." chopper"
				end
				if GetBool("savegame.mod.parkedcars", true) then
					lvl = lvl.." parkedcars"
				end
				if GetBool("savegame.mod.robots", true) then
					lvl = lvl.." robots"
				end
				if GetBool("savegame.mod.ultra", true) then
					lvl = lvl.." ultra"
				end
				StartLevel("demo", "MOD/demo.xml", lvl)
			end
		UiPop()
	
	-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		UiTranslate(-750, -150)
		UiFont("bold.ttf", 26)
	
		UiTranslate(150, 170)
		UiColor(0, 0, 0, 0.6)
		UiImageBox("ui/common/box-solid-6.png", 525, 390, 6, 6)
		UiTranslate(-150, -170)
		UiColor(0, 0.8, 0.1)
		UiText("Helicopter")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.chopper") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.chopper", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.chopper") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.chopper", true)
			end
		UiPop()
		UiFont("bold.ttf", 16)
		UiTranslate(0, 40)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if GetBool("savegame.mod.chopper_unbreakable", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 100, 30, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.chopper_unbreakable", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 30, 6, 6)
				UiPop()
			end
			if UiTextButton("Unbreakable", 100, 30) then
				SetBool("savegame.mod.chopper_unbreakable", true)
				SetBool("savegame.mod.respawn_chopper", false)
			end
			if GetBool("savegame.mod.chopper_unbreakable", true) and UiTextButton("Unbreakable", 100, 30) then
				SetBool("savegame.mod.chopper_unbreakable", false)
			end
		UiPop()
		UiTranslate(100, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if GetBool("savegame.mod.respawn_chopper", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 100, 30, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.respawn_chopper", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 30, 6, 6)
				UiPop()
			end
			if UiTextButton("Respawn", 100, 30) then
				SetBool("savegame.mod.respawn_chopper", true)
				SetBool("savegame.mod.chopper_unbreakable", false)
			end
			if GetBool("savegame.mod.respawn_chopper", true) and UiTextButton("Respawn", 100, 30) then
				SetBool("savegame.mod.respawn_chopper", false)
			end
		UiPop()
		UiFont("bold.ttf", 26)
		UiTranslate(-50, 50)
		UiColor(0, 0.8, 0.1)
		UiText("Flooded")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.flooded") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.flooded", false)
				SetBool("savegame.mod.ice", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.flooded") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.flooded", true)
				SetBool("savegame.mod.traffic", false)
			end
		UiPop()
		UiTranslate(50, 40)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if GetBool("savegame.mod.ice", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 200, 30, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.ice", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 200, 30, 6, 6)
				UiPop()
			end
			if UiTextButton("ICE", 200, 30) then
				SetBool("savegame.mod.ice", true)
				SetBool("savegame.mod.flooded", true)
				SetBool("savegame.mod.traffic", false)
			end
			if GetBool("savegame.mod.ice", true) and UiTextButton("ICE", 200, 30) then
				SetBool("savegame.mod.ice", false)
			end
		UiPop()
		UiTranslate(300, -230)
		UiColor(0, 0.8, 0.1)
		UiText("Cars On Road")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.carsonroad") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.carsonroad", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.carsonroad") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.carsonroad", true)
				SetBool("savegame.mod.traffic", false)
			end
		UiPop()
		UiTranslate(50, 40)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if GetBool("savegame.mod.traffic", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 200, 30, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.traffic", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 200, 30, 6, 6)
				UiPop()
			end
			if UiTextButton("Traffic", 200, 30) then
				SetBool("savegame.mod.traffic", true)
				SetBool("savegame.mod.carsonroad", false)
				SetBool("savegame.mod.ice", false)
				SetBool("savegame.mod.flooded", false)
			end
			if GetBool("savegame.mod.traffic", true) and UiTextButton("Traffic", 200, 30) then
				SetBool("savegame.mod.traffic", false)
			end
		UiPop()
		UiTranslate(0, 50)
		UiColor(0, 0.8, 0.1)
		UiText("Parked Cars")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.parkedcars") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.parkedcars", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.parkedcars") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.parkedcars", true)
			end
		UiPop()
		UiTranslate(50, 75)
		UiColor(0, 0.8, 0.1)
		UiText("Robots")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.robots") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.robots", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.robots") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.robots", true)
			end
		UiPop()
	
		UiTranslate(-250, -50)
		UiColor(0, 0.8, 0.1)
		UiText("Trees")
		UiColor(1, 1, 1)
		UiTranslate(-50, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.trees") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 50) then
				SetBool("savegame.mod.trees", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.trees") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 50, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 50) then 
				SetBool("savegame.mod.trees", true)
			end
		UiPop()
	
		UiTranslate(-675, 107)
		UiColor(0, 0.8, 0.1)
		UiImageBox("ui/common/box-outline-6.png", 100, 25, 6, 6)
		UiTranslate(100, 2)
		UiText("Weather")
	
	
		UiTranslate(170, -220)
		UiColor(0, 0, 0, 0.6)
		UiImageBox("ui/common/box-solid-6.png", 200, 500, 6, 6)
		UiTranslate(0, -220)
		UiColor(1, 1, 1)
		UiFont("regular.ttf", 26)
		UiText("KeyBind")
		UiTranslate(0, 20)
		UiFont("bold.ttf", 18)
		UiText("( Ctrl ) = Unbind/Disable")
		UiTranslate(0, 15)
		UiText("'S'='Lmb'   'D'='Rmb'")
		UiTranslate(0, 25)
		UiFont("regular.ttf", 18)
		UiText("Enable/Disable Keys")
		UiTranslate(0, 25)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if remap_F8 then
				UiText("Press Key")
				UiColor(0.5, 1, 0.5, 0.5)
				UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				if InputLastPressedKey() ~= "" then
					if InputPressed("esc") then
						SetString("savegame.mod.remap_F8", "F8")
						remap_F8 = false
					elseif InputPressed("ctrl") then
						SetString("savegame.mod.remap_F8", "none")
						remap_F8 = false
					elseif InputPressed("s") then
						SetString("savegame.mod.remap_F8", "Lmb")
						remap_F8 = false
					elseif InputPressed("d") then
						SetString("savegame.mod.remap_F8", "Rmb")
						remap_F8 = false
					else
						SetString("savegame.mod.remap_F8", InputLastPressedKey())
						remap_F8 = false
					end
				end
			else
				if UiTextButton(GetString("savegame.mod.remap_F8"), 100, 25) then
					remap_F8 = true
				end
			end
		UiPop()
		UiTranslate(0, 50)
		UiText("Weather")
		UiTranslate(0, 25)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if remap_F7 then
				UiText("Press Key")
				UiColor(0.5, 1, 0.5, 0.5)
				UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				if InputLastPressedKey() ~= "" then
					if InputPressed("esc") then
						SetString("savegame.mod.remap_F7", "F7")
						remap_F7 = false
					elseif InputPressed("ctrl") then
						SetString("savegame.mod.remap_F7", "none")
						remap_F7 = false
					elseif InputPressed("s") then
						SetString("savegame.mod.remap_F7", "Lmb")
						remap_F7 = false
					elseif InputPressed("d") then
						SetString("savegame.mod.remap_F7", "Rmb")
						remap_F7 = false
					else
						SetString("savegame.mod.remap_F7", InputLastPressedKey())
						remap_F7 = false
					end
				end
			else
				if UiTextButton(GetString("savegame.mod.remap_F7"), 100, 25) then
					remap_F7 = true
				end
			end
		UiPop()
	
		UiTranslate(0, 50)
		UiText("ForceField")
		UiTranslate(0, 25)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if remap_q then
				UiText("Press Key")
				UiColor(0.5, 1, 0.5, 0.5)
				UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				if InputLastPressedKey() ~= "" then
					if InputPressed("esc") then
						SetString("savegame.mod.remap_q", "Q")
						remap_q = false
					elseif InputPressed("ctrl") then
						SetString("savegame.mod.remap_q", "none")
						remap_q = false
					elseif InputPressed("s") then
						SetString("savegame.mod.remap_q", "Lmb")
						remap_q = false
					elseif InputPressed("d") then
						SetString("savegame.mod.remap_q", "Rmb")
						remap_q = false
					else
						SetString("savegame.mod.remap_q", InputLastPressedKey())
						remap_q = false
					end
				end
			else
				if UiTextButton(GetString("savegame.mod.remap_q"), 100, 25) then
					remap_q = true
				end
			end
		UiPop()
	
	
		UiTranslate(0, 50)
		UiText("Tornado")
		UiTranslate(0, 25)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if remap_z then
				UiText("Press Key")
				UiColor(0.5, 1, 0.5, 0.5)
				UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				if InputLastPressedKey() ~= "" then
					if InputPressed("esc") then
						SetString("savegame.mod.remap_z", "Z")
						remap_z = false
					elseif InputPressed("ctrl") then
						SetString("savegame.mod.remap_z", "none")
						remap_z = false
					elseif InputPressed("s") then
						SetString("savegame.mod.remap_z", "Lmb")
						remap_z = false
					elseif InputPressed("d") then
						SetString("savegame.mod.remap_z", "Rmb")
						remap_z = false
					else
						SetString("savegame.mod.remap_z", InputLastPressedKey())
						remap_z = false
					end
				end
			else
				if UiTextButton(GetString("savegame.mod.remap_z"), 100, 25) then
					remap_z = true
				end
			end
		UiPop()
		UiTranslate(0, 50)
		UiText("Spawn Fire/Hole")
		UiTranslate(0, 25)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if remap_mmb then
				UiText("Press Key")
				UiColor(0.5, 1, 0.5, 0.5)
				UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				if InputLastPressedKey() ~= "" then
					if InputPressed("esc") then
						SetString("savegame.mod.remap_mmb", "Mmb")
						remap_mmb = false
					elseif InputPressed("ctrl") then
						SetString("savegame.mod.remap_mmb", "none")
						remap_mmb = false
					elseif InputPressed("s") then
						SetString("savegame.mod.remap_mmb", "Lmb")
						remap_mmb = false
					elseif InputPressed("d") then
						SetString("savegame.mod.remap_mmb", "Rmb")
						remap_mmb = false
					else
						SetString("savegame.mod.remap_mmb", InputLastPressedKey())
						remap_mmb = false
					end
				end
			else
				if UiTextButton(GetString("savegame.mod.remap_mmb"), 100, 25) then
					remap_mmb = true
				end
			end
		UiPop()
		UiTranslate(0, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if UiTextButton("Reset", 150, 25) then
				SetString("savegame.mod.remap_F8", "F8")
				SetString("savegame.mod.remap_F7", "F7")
				SetString("savegame.mod.remap_q", "Q")
				SetString("savegame.mod.remap_z", "Z")
				SetString("savegame.mod.remap_mmb", "Mmb")
			end
		UiPop()
		UiTranslate(-250, 50)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if UiTextButton("Reset ALL", 150, 50) then
				SetString("savegame.mod.weather", "")
				SetBool("savegame.mod.W_wind", false)
				SetBool("savegame.mod.chopper", false)
				SetBool("savegame.mod.flooded", false)
				SetBool("savegame.mod.ice", false)
				SetBool("savegame.mod.carsonroad", false)
				SetBool("savegame.mod.traffic", false)
				SetBool("savegame.mod.parkedcars", false)
				SetBool("savegame.mod.robots", false)
				SetBool("savegame.mod.attached", true)
				SetBool("savegame.mod.dynamic", true)
				SetBool("savegame.mod.performance", false)
				SetBool("savegame.mod.ground_0", true)
				SetBool("savegame.mod.ground_1", false)
				SetBool("savegame.mod.ground_2", false)
				SetBool("savegame.mod.ground_3", false)
				SetBool("savegame.mod.ground_4", false)
				SetBool("savegame.mod.NEWTEX", false)
				SetBool("savegame.mod.basic", false)
				SetBool("savegame.mod.trees", false)
				if GetString("savegame.mod.weather")then
					DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\n")
				end
				DebugPrint("\n\n\n\n\n\n\n\n\n\n\n\nDefault")
				SetEnvironmentProperty("skybox", "sunset_in_the_chalk_quarry_2k.dds")
				SetEnvironmentProperty("skyboxtint", 0.7,0.5,0.7)
				SetEnvironmentProperty("skyboxbrightness", 0.02)
				SetEnvironmentProperty("skyboxrot", -15)
				SetEnvironmentProperty("constant", 0.001,0.001,0.001)
				SetEnvironmentProperty("ambient", 0.8)
				SetEnvironmentProperty("ambientexponent", 0.5)
				SetEnvironmentProperty("fogColor", 0,0,0)
				SetEnvironmentProperty("fogParams", 0,0,0,0)
				SetEnvironmentProperty("sunBrightness", 35)
				SetEnvironmentProperty("sunColorTint", 0.48,0.5,0.3)
				SetEnvironmentProperty("sunDir", "auto")
				SetEnvironmentProperty("sunSpread", 0)
				SetEnvironmentProperty("sunLength", 32)
				SetEnvironmentProperty("sunFogScale", 0.2)
				SetEnvironmentProperty("sunGlare", 0)
				SetEnvironmentProperty("exposure", 7,7)
				SetEnvironmentProperty("brightness", 1)
				SetEnvironmentProperty("wetness", 0)
				SetEnvironmentProperty("puddleamount", 0)
				SetEnvironmentProperty("puddlesize", 0)
				SetEnvironmentProperty("rain", 0)
				SetEnvironmentProperty("nightlight", true)
				SetEnvironmentProperty("ambience", "outdoor/field.ogg", 1)
				SetEnvironmentProperty("fogscale", 0.4)
				SetEnvironmentProperty("wind", 0, 0.5, 2)
				SetEnvironmentProperty("snowdir", 0, -1, 0, 0.2)
				SetEnvironmentProperty("snowamount", 0.2, 0.05)
				SetPostProcessingProperty("saturation" , 1)
				SetPostProcessingProperty("colorbalance" , 1, 1, 1)
				SetPostProcessingProperty("brightness" , 1)
				SetPostProcessingProperty("gamma" , 1)
				SetPostProcessingProperty("bloom" , 1)
				SetBool("savegame.mod.Sunrise", false)
				SetBool("savegame.mod.Sunny", false)
				SetBool("savegame.mod.Sunset", false)
				SetBool("savegame.mod.Wind", false)
				SetBool("savegame.mod.Night", false)
				SetBool("savegame.mod.Storm", false)
				SetBool("savegame.mod.Snow", false)
				SetBool("savegame.mod.Foggy", false)
				SetBool("savegame.mod.Rain", false)
			end
		UiPop()
	-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		UiTranslate(865, 5)
		UiButtonImageBox("ui/common/optionsbox.png", 6, 6)
		UiFont("bold.ttf", 26)
		UiColor(1, 1, 1)
		if UiTextButton("Close", 400, 40) then
			Menu()
		end
	
		UiTranslate(840, -100)
		UiColor(0, 0.8, 0.1)
		UiText("Performance")
		UiColor(1, 1, 1)
		UiTranslate(0, 25)
		if UiIsMouseInRect(200, 25) then
			UiFont("bold.ttf", 20)
			UiTranslate(0, -50)
			UiText("Remove lights and street props")
			UiTranslate(0, 50)
		end
		UiFont("bold.ttf", 26)
		UiTranslate(-50, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.performance") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 25) then
				SetBool("savegame.mod.performance", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.performance") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 25) then 
				SetBool("savegame.mod.performance", true)
			end
		UiPop()
		UiTranslate(50, 25)
		UiColor(0, 0.8, 0.1)
		UiText("Basic")
		UiColor(1, 1, 1)
		UiTranslate(0, 25)
		if UiIsMouseInRect(200, 25) then
			UiFont("bold.ttf", 20)
			UiTranslate(0, -120)
			UiText("Remove vehicles and objects")
			UiTranslate(0, 20)
			UiText("included in the version")
			UiTranslate(0, 100)
		end
		UiFont("bold.ttf", 26)
		UiTranslate(-50, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.basic") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 25) then
				SetBool("savegame.mod.basic", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.basic") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 25) then 
				SetBool("savegame.mod.basic", true)
			end
		UiPop()
		UiTranslate(-200, -593)
		UiColor(0, 0, 0)
		UiImageBox("ui/common/box-solid-6.png", 398, 115, 6, 6)
		UiTranslate(0, 10)
		UiColor(0, 0.8, 0.1)
		UiText("Textures")
		UiColor(1, 1, 1)
		UiFont("bold.ttf", 26)
		UiTranslate(0, 25)
		UiFont("bold.ttf", 26)
		UiTranslate(-75, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if GetBool("savegame.mod.ground_1", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.ground_1", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("1", 25, 25) then
				SetBool("savegame.mod.ground_0", false)
				SetBool("savegame.mod.ground_1", true)
				SetBool("savegame.mod.ground_2", false)
				SetBool("savegame.mod.ground_3", false)
				SetBool("savegame.mod.ground_4", false)
				SetBool("savegame.mod.NEWTEX", true)
			end
			if GetBool("savegame.mod.ground_1", true) and UiTextButton("1", 25, 25) then
				SetBool("savegame.mod.ground_1", false)
				SetBool("savegame.mod.ground_0", true)
				SetBool("savegame.mod.NEWTEX", false)
			end
		UiPop()
	
		UiTranslate(50, 0)
	
		UiPush()
			if GetBool("savegame.mod.ground_2", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.ground_2", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("2", 25, 25) then
				SetBool("savegame.mod.ground_0", false)
				SetBool("savegame.mod.ground_1", false)
				SetBool("savegame.mod.ground_2", true)
				SetBool("savegame.mod.ground_3", false)
				SetBool("savegame.mod.ground_4", false)
				SetBool("savegame.mod.NEWTEX", true)
			end
			if GetBool("savegame.mod.ground_2", true) and UiTextButton("2", 25, 25) then
				SetBool("savegame.mod.ground_2", false)
				SetBool("savegame.mod.ground_0", true)
				SetBool("savegame.mod.NEWTEX", false)
			end
		UiPop()
	
		UiTranslate(50, 0)
	
		UiPush()
			if GetBool("savegame.mod.ground_3", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.ground_3", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("3", 25, 25) then
				SetBool("savegame.mod.ground_0", false)
				SetBool("savegame.mod.ground_1", false)
				SetBool("savegame.mod.ground_2", false)
				SetBool("savegame.mod.ground_3", true)
				SetBool("savegame.mod.ground_4", false)
				SetBool("savegame.mod.NEWTEX", true)
			end
			if GetBool("savegame.mod.ground_3", true) and UiTextButton("3", 25, 25) then
				SetBool("savegame.mod.ground_3", false)
				SetBool("savegame.mod.ground_0", true)
				SetBool("savegame.mod.NEWTEX", false)
			end
		UiPop()
	
		UiTranslate(50, 0)
	
		UiPush()
			if GetBool("savegame.mod.ground_4", false) then
				UiPush()
					UiColor(0, 0, 0, 0)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if GetBool("savegame.mod.ground_4", true) then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 25, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("4", 25, 25) then
				SetBool("savegame.mod.ground_0", false)
				SetBool("savegame.mod.ground_1", false)
				SetBool("savegame.mod.ground_2", false)
				SetBool("savegame.mod.ground_3", false)
				SetBool("savegame.mod.ground_4", true)
				SetBool("savegame.mod.NEWTEX", true)
			end
			if GetBool("savegame.mod.ground_4", true) and UiTextButton("4", 25, 25) then
				SetBool("savegame.mod.ground_4", false)
				SetBool("savegame.mod.ground_0", true)
				SetBool("savegame.mod.NEWTEX", false)
			end
		UiPop()
		UiTranslate(-200, -65)
		UiFont("bold.ttf", 18)
		UiColor(0, 0.8, 0.1)
		UiText("Interiors")
		UiColor(1, 1, 1)
		UiTranslate(100, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			if GetBool("savegame.mod.dynamic") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics ON", 100, 25) then 
				SetBool("savegame.mod.dynamic", true)
			end
			UiTranslate(100, 0)
			if not GetBool("savegame.mod.dynamic") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.3)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Physics OFF", 100, 25) then
				SetBool("savegame.mod.dynamic", false)
			end
		UiPop()
		UiTranslate(275, -415)
		UiFont("bold.ttf", 24)
		UiTranslate(0, 25)
		UiColor(0, 0.8, 0.1)
		UiText("Graphics: Ultra")
		UiColor(1, 1, 1)
		UiTranslate(0, 25)
		if UiIsMouseInRect(200, 25) then
			UiFont("bold.ttf", 20)
			UiTranslate(-835, 50)
			UiText("///Abient light/ocluder///, ///Skybox light///, ///Constant light///, ///Sun legth/Fog scale///, ///Fog scale///, ///Wetness///")
			UiTranslate(835, -50)
		end
		UiFont("bold.ttf", 26)
		UiTranslate(-50, 0)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6, 0.6, 0.6, 0.6)
		UiPush()
			if not GetBool("savegame.mod.ultra") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Disable", 100, 25) then
				SetBool("savegame.mod.ultra", false)
			end
			UiTranslate(100, 0)
			if GetBool("savegame.mod.ultra") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.5)
					UiImageBox("ui/common/box-solid-6.png", 100, 25, 6, 6)
				UiPop()
			end
			if UiTextButton("Enable", 100, 25) then 
				SetBool("savegame.mod.ultra", true)
			end
		UiPop()
	end
end

function tick(dt)
	SetEnvironmentProperty("skyboxrot", GetTime()*1)
	if not GetBool("game.map.enabled") then
		timer = timer - dt
	end
	if timer <= 0 then
		lightning = math.random(2, 5)*0.1
		lightningStrength = 0
		local x = math.random(-150, 150)
		local y = 80
		local z = math.random(-150, 150)
		SetBodyTransform(lightBody, Transform(Vec(x, y, z)))
		nextSoundVolume = 0.5 + math.random(1, 5)*0.1
		nextSoundTimer = 0.5 + math.random(1, 10)*0.1
		timer = math.random(3, 10)
	end
	if nextSoundTimer > 0 then
		nextSoundTimer = nextSoundTimer - dt
		if nextSoundTimer <= 0 then
			PlaySound(thunderSound, GetPlayerPos(), nextSoundVolume)
		end
	end
	if lightning > 0 then
		lightning = lightning - dt
		lightningStrength = clamp(lightningStrength + math.random(-10,10)*0.1, 0.1, 1.0)
	end
	if lightning > 0 then
		SetShapeEmissiveScale(lightShape, lightningStrength)	
	else
		SetShapeEmissiveScale(lightShape, 0)
		SetBodyTransform(lightBody, Transform(Vec(0, -500, 0)))
	end
	tim = tim + 0.017
	local t = tim / pTime
	if t > 1.0 then t = 1.0 end
	local pos = VecLerp(startTransform.pos, endTransform.pos, t)
	local rot = QuatSlerp(startTransform.rot, endTransform.rot, t)
	SetCameraTransform(Transform(pos, rot))
	SetCameraFov(110)
end