function init()
	motor = FindJoint("motor")
	motor2 = FindJoint("motor2")
	hinge = FindJoint("hinge")
	hinge2 = FindJoint("hinge2")
	button = FindShape("button")
	door = LoadSound("doors.ogg")
	SetTag(button, "interact", "Open")
	SetJointMotorTarget(hinge, 0, 3)
	SetJointMotorTarget(hinge2, 0, 3)
	SetJointMotor(motor, 3)
	SetJointMotor(motor2, 3)
end

function tick(dt)
	if GetPlayerInteractShape() == button and InputPressed("interact") then
		cage_close = not cage_close
		if cage_close then
			PlaySound(door)
			SetTag(button, "interact", "Close")
			RemoveTag(button, "Open")
			SetJointMotorTarget(hinge, 96.5, 3)
			SetJointMotorTarget(hinge2, 96.5, 3)
			SetJointMotor(motor, -3)
			SetJointMotor(motor2, -3)
		else
			PlaySound(door)
			SetTag(button, "interact", "Open")
			RemoveTag(button, "Close")
			SetJointMotorTarget(hinge, 0, 3)
			SetJointMotorTarget(hinge2, 0, 3)
			SetJointMotor(motor, 3)
			SetJointMotor(motor2, 3)
		end
	end
end