pTimer = GetFloatParam("timer", 0.1)
pSpeed = GetFloatParam("speed", 4)

function init()
	speed = GetFloatParam("speed",math.random() * 4.0 + 10)
	duration = GetFloatParam("duration",0.5)
	offset = GetFloatParam("offset",0)
	blinkTimer = 0 + offset
	motor_pneumatic = FindJoint("motor_pneumatic")
	pneumatic_hammer = FindShape("pneumatic_hammer")
	SetTag(pneumatic_hammer, "interact")
	turn_on = false
end


function tick(dt)
	blinkTimer = blinkTimer + (dt * speed)
	local t = math.mod(blinkTimer, 1.0)
	if GetPlayerInteractShape() == pneumatic_hammer and InputPressed("interact") then
		turn_on = not turn_on
	end
	if turn_on then
		if t < duration then
			SetJointMotor(motor_pneumatic, 12)
		else
			SetJointMotor(motor_pneumatic, -12)
		end
	else
		SetJointMotor(motor_pneumatic, -20)
	end
end