function init()
	spawn_Cb = FindShape("spawn_Cb")
	spawn_Tr = FindShape("spawn_Tr")
	spawn_forklift = FindShape("spawn_forklift")
	SetTag(spawn_Cb, "interact")
	SetTag(spawn_Tr, "interact")
	SetTag(spawn_forklift, "interact")
	spawn_Cb_pos = GetLocationTransform(FindLocation("spawn_Cb_pos")).pos
	spawn_Tr_pos = GetLocationTransform(FindLocation("spawn_Tr_pos")).pos
	spawn_forklift_pos = GetLocationTransform(FindLocation("spawn_forklift_pos")).pos
	inputpressed = LoadSound("warning-beep.ogg")
	Spawn("MOD/instances/vehicle_container.xml", Transform(spawn_Cb_pos, QuatEuler(0, 180, 0)))
	Spawn("MOD/instances/ladder.xml", Transform(spawn_Tr_pos, QuatEuler(90, -180, 0)))
	trigger_1 = FindTrigger("delete_spawned_1")
	trigger_2 = FindTrigger("delete_spawned_2")
	mi, ma = GetTriggerBounds(trigger_1)
	ni, xa = GetTriggerBounds(trigger_2)
end


function tick(dt)
	if GetPlayerInteractShape() == spawn_Cb and InputPressed("interact") then
		PlaySound(inputpressed)
		local spawned = QueryAabbShapes(mi, ma)
		for i=1, #spawned do
			local clean = spawned[i]
			Delete(clean)
		end
		Spawn("MOD/instances/vehicle_container.xml", Transform(spawn_Cb_pos, QuatEuler(0, 180, 0)))
	end

	if GetPlayerInteractShape() == spawn_Tr and InputPressed("interact") then
		PlaySound(inputpressed)
		local spawned = QueryAabbShapes(ni, xa)
		for i=1, #spawned do
			local clean = spawned[i]
			Delete(clean)
		end
		Spawn("MOD/instances/ladder.xml", Transform(spawn_Tr_pos, QuatEuler(90, -180, 0)))
	end

	if GetPlayerInteractShape() == spawn_forklift and InputPressed("interact") then
		PlaySound(inputpressed)
		vehicles = FindVehicles("forklift", true)
		for i=1, #vehicles do
			local clean = vehicles[i]
			Delete(clean)
		end
		Spawn("MOD/instances/forklift.xml", Transform(spawn_forklift_pos, QuatEuler(0, 90, 0)))
	end
end