function init()	
	--Find handles to the light switch and and lamp
	switchL = FindShape("switchL")
	tripod = FindShape("tripod")
	focus = FindShape("focus")
	latern = FindLight("latern")
	one = true

	--The light should start turned off
	SetLightEnabled(latern, false)
	SetTag(switchL, "interact")

	--Load sounds from the game asset folder (data/snd)
	onSound = LoadSound("screen-on.ogg")
	offSound = LoadSound("screen-off.ogg")
end


function tick()
	--Check if player interacts with light switch and presses interact button
	if GetPlayerInteractShape() == switchL and InputPressed("interact") then
		if one then
			PlaySound(onSound)
			SetLightColor(latern, 1, 0.6, 0.5)
			SetLightEnabled(latern, true)
			RemoveTag(switchL, "interact", "ON")
			SetTag(switchL, "interact", "DARK")
			one = false
			two = true
		elseif two then
			PlaySound(onSound)
			SetLightColor(latern, 0.1, 0, 1)
			RemoveTag(switchL, "interact", "DARK")
			SetTag(switchL, "interact", "GREEN")	
			two = false
			three = true
		elseif three then
			PlaySound(onSound)
			SetLightColor(latern, 0, 0.6, 0.3)
			RemoveTag(switchL, "interact", "GREEN")
			SetTag(switchL, "interact", "BLUE")	
			three = false
			four = true
		elseif four then
			PlaySound(onSound)
			SetLightColor(latern, 0.1, 0.2, 0.7)
			RemoveTag(switchL, "interact", "BLUE")
			SetTag(switchL, "interact", "ORANGE")	
			four = false
			five = true
		elseif five then
			PlaySound(onSound)
			SetLightColor(latern, 0.5, 0.1, 0)
			RemoveTag(switchL, "interact", "ORANGE")
			SetTag(switchL, "interact", "RED")	
			five = false
			six = true
		elseif six then
			PlaySound(onSound)
			SetLightColor(latern, 0.8, 0, 0)
			RemoveTag(switchL, "interact", "RED")
			SetTag(switchL, "interact", "PINK")	
			six = false
			seven = true
		elseif seven then
			PlaySound(onSound)
			SetLightColor(latern, 0.7, 0.1, 0.2)
			RemoveTag(switchL, "interact", "PINK")
			SetTag(switchL, "interact", "OFF")	
			seven = false
			eight = true
		elseif eight then
			PlaySound(onSound)
			SetLightEnabled(latern, false)
			RemoveTag(switchL, "interact", "OFF")
			SetTag(switchL, "interact", "ON")
			seven = false
			one = true
		end
	end


	if IsShapeBroken(switchL) then
		Delete(switchL)
		Delete(latern)
		Delete(focus)
		Delete(tripod)
	end

end

