function init()
	cave_waterfall = FindBody("cave_waterfall")
	update = true
	disable_script = false
	SetBool("disable_waterfall", false)
	water = LoadLoop("../../data/level/lee/script/dam/water.ogg")
	inputpressed = LoadSound("warning-beep.ogg")
end


function rnd(mi, ma)
	return math.random()*(ma-mi)+mi
end

function tick(dt)
	if not disable_script then
		if GetBool("disable_waterfall", true) then
			disable_script = true
		end
		if InputDown("alt") and InputPressed("w") then
			PlaySound(inputpressed)
			active = not active
			if active then
				SetString("hud.notification", "Cave Waterfall ON")
			else
				SetString("hud.notification", "Cave Waterfall OFF")
			end
		end

		if update then
			pos = GetBodyTransform(cave_waterfall).pos-----------------Update .pos of foam while spawning
			if InputPressed("lmb") then---------Disable position update right after spawning or with the first press of lmb 
				update = false
			end
		end
		if active then
			ParticleType("smoke")
			ParticleFlags(256)
			ParticleColor(0.75,0.85,1)
			count = 8
			vel = 10
			vol = 0.5
			gravity = -10
			ParticleRadius(0.8,0.9)
			ParticleAlpha(1, 0)
			ParticleDrag(0.1)
			ParticleGravity(gravity * rnd(0.5, 1.5))
			ParticleCollide(1, 1, "constant", 0)
			SpawnParticle(VecAdd(pos, Vec(0, 0, 0)),Vec(0, 0, 0), 10)
			PlayLoop(water, pos, 2)
		end
	end
end