function init()
	notdynamic = FindBodies("notdynamic")
	for i=1, #notdynamic do
		local s = notdynamic[i]
		SetBodyDynamic(s, false)
	end
	supports = FindBodies("supports")
	for i=1, #supports do
		local s = supports[i]
		SetBodyDynamic(s, false)
	end
	road_segment = FindShapes("road_segment")
	van_S = FindVehicle("van_S")
	pickup_S = FindVehicle("pickup_S")
	castanet_S = FindVehicle("castanet_S")
	racingcar_S = FindVehicle("racingcar_S")
	dumptruck_S = FindVehicle("dumptruck_S")
	sportcar_S = FindVehicle("sportcar_S")
	truck_S = FindVehicles("truck_S")
	musclecar_S = FindVehicles("musclecar_S")
	end_track = FindTriggers("end_track")
	turbo = FindTriggers("turbo")
	slow = FindTriggers("slow")
	reset = FindLocations("reset")
	target = true
	view = FindShape("view", true)
	night = FindLights("night")
	practicetarget = FindBodies("practicetarget")
	if GetEnvironmentProperty("nightlight", true) then
		for i=1,#night do
			s = night[i]
			SetLightEnabled(s, true)
		end
	else
		for i=1,#night do
			s = night[i]
			SetLightEnabled(s, false)
		end
	end
end
function tick()
	if not disable then
		if target then
			SetString("hud.notification", "Press 'C' to remove supports\n\nPress 'X' to remove the vehicles\n\nPress 'Z' to remove the road\n\nPress 'R' -Robots will attack-")
		else
			SetString("hud.notification", "Press 'C' to remove supports\n\nPress 'X' to remove the vehicles\n\nPress 'Z' to remove the road\n\nPress 'R' -Robots won't attack-")
		end
		if InputPressed("lmb") then
			Delete(view)
			disable = true
		end
		if InputPressed("c") then
			for i=1, #supports do
				local s = supports[i]
				Delete(s)
			end
		end
		if InputPressed("x") then
			Delete(van_S)
			Delete(pickup_S)
			Delete(castanet_S)
			Delete(racingcar_S)
			Delete(dumptruck_S)
			Delete(sportcar_S)
			for i=1, #truck_S do
				local s = truck_S[i]
				Delete(s)
			end
			for i=1, #musclecar_S do
				local s = musclecar_S[i]
				Delete(s)
			end
		end
		if InputPressed("z") then
			for i=1, #road_segment do
				local s = road_segment[i]
				Delete(s)
			end
			for i=1, #notdynamic do
				local s = notdynamic[i]
				Delete(s)
			end
			for i=1, #supports do
				local s = supports[i]
				Delete(s)
			end
		end

		if InputPressed("r") then
			target = not target
			if target then
				for i=1, #practicetarget do
					local s = practicetarget[i]
					SetTag(s, "practicetarget")
				end
			else
				for i=1, #practicetarget do
					local s = practicetarget[i]
					RemoveTag(s, "practicetarget")
				end
			end
		end

	end
end