function init()
	pickup_S = FindVehicle("pickup_S")
	body_pickup = GetVehicleBody(pickup_S)
	end_track = FindTrigger("end_track")
	trigger1 = FindBody("trigger1")
	slow = FindTrigger("slow")
	trigger2 = FindBody("trigger2")
	reset = FindTrigger("reset")
	trigger3 = FindBody("trigger3")
	update_before_spawn = true
end
function tick()
	if update_before_spawn then
		trigger1_pos = GetBodyTransform(trigger1)
		SetTriggerTransform(end_track, trigger1_pos)
		trigger2_pos = GetBodyTransform(trigger2)
		SetTriggerTransform(slow, trigger2_pos)
		trigger3_pos = GetBodyTransform(trigger3)
		SetTriggerTransform(reset, trigger3_pos)
		reset_pos = GetTriggerTransform(reset)
		if InputPressed("lmb") then
			Delete(trigger1)
			Delete(trigger2)
			Delete(trigger3)
			update_before_spawn = false
		end
	end
	if IsVehicleInTrigger(slow, pickup_S) then
		DriveVehicle(pickup_S, 0.5, 0, false)
	else
		DriveVehicle(pickup_S, 0.75, 0, false)
	end
	if IsVehicleInTrigger(end_track, pickup_S) then
		SetBodyTransform(body_pickup, reset_pos)
	end
end