function init()
	truck_S = FindVehicle("truck_S")
	body_truck = GetVehicleBody(truck_S)
	trailer = FindBody("trailer")
	end_track = FindTrigger("end_track")
	trigger1 = FindBody("trigger1")
	slow = FindTrigger("slow")
	trigger2 = FindBody("trigger2")
	update_before_spawn = true
end
function tick()
	if update_before_spawn then
		truck_reset_pos = GetBodyTransform(body_truck)
		trailer_reset_pos = GetBodyTransform(trailer)
		trigger1_pos = GetBodyTransform(trigger1)
		SetTriggerTransform(end_track, trigger1_pos)
		trigger2_pos = GetBodyTransform(trigger2)
		SetTriggerTransform(slow, trigger2_pos)
		if InputPressed("lmb") then
			Delete(trigger1)
			Delete(trigger2)
			update_before_spawn = false
		end
	end
	if IsVehicleInTrigger(slow, truck_S) then
		DriveVehicle(truck_S, 0.25, 0, false)
	else
		DriveVehicle(truck_S, 0.5, 0, false)
	end
	if IsVehicleInTrigger(end_track, truck_S) then
		SetBodyTransform(body_truck, truck_reset_pos)
		SetBodyTransform(trailer, trailer_reset_pos)
	end
end